Package com.ngrok.definitions

# Interface Pageable

All Known Implementing Classes:
  `AgentIngressList`, `ApiKeyList`, `CertificateAuthorityList`, `CredentialList`, `EndpointList`, `EventDestinationList`, `EventSubscriptionList`, `FailoverBackendList`, `HttpResponseBackendList`, `HttpsEdgeList`, `IpPolicyList`, `IpPolicyRuleList`, `IpRestrictionList`, `ReservedAddrList`, `ReservedDomainList`, `SshCertificateAuthorityList`, `SshCredentialList`, `SshHostCertificateList`, `SshUserCertificateList`, `TcpEdgeList`, `TlsCertificateList`, `TlsEdgeList`, `TunnelGroupBackendList`, `TunnelList`, `TunnelSessionList`, `WeightedBackendList`

public interface Pageable
Interface indicating a resource type that can have more than one page of responses.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<URI>`
  `getNextPageUri()`
  Fetches the URI of the next page.

- ## Method Details

  - ### getNextPageUri

    Optional<URI> getNextPageUri()
    Fetches the URI of the next page.
    Returns:
      a URI